#/bin/sh

dbname="mydb"
dbhost="srv4:8086"
user="root"
passwd="root"

if [ $# -ne 3 ]; then
    echo "Usage: $0 \"series name\" \"columns\" \"points\""
    exit
fi

name="\"$1\""
columns=`echo $2 | sed 's/^\(.*\)$/"\1"/' | sed 's/ /","/g'`
points=`echo $3 | sed 's/\([a-zA-Z0-9\.]*[a-zA-Z][a-zA-Z0-9\.]*\)/"\1"/g' | sed 's/ /,/g'`

payload=`cat` <<- EOT
    [{
      "name":$name,
      "columns":[$columns],
      "points":[[$points]]
    }]
EOT

wget --quiet --post-data "$payload" "http://$dbhost/db/$dbname/series?u=$user&p=$passwd" -O /dev/null
